Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.agf.zest.ide
Class SpringLayoutModAction.ModifyDialog

    java.lang.Object
      TitleAreaDialog
          org.eclipse.amp.agf.zest.ide.SpringLayoutModAction.ModifyDialog

Enclosing class:
  SpringLayoutModAction

     class SpringLayoutModAction.ModifyDialog

extends TitleAreaDialog

The Class ModifyDialog.

Constructor Summary
`SpringLayoutModAction.ModifyDialog(Shell parentShell)` Instantiates a new modify dialog.

Method Summary
`protected Control` | `createDialogArea(Composite parent)`
`private void` | `gravitationAdjustment(Composite parent)`
`private void` | `lengthAdjustment(Composite parent)`
`private void` | `modifyLayout()`
`private void` | `springMove(Composite parent)`
`private void` | `strainAdjustment(Composite parent)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpringLayoutModAction.ModifyDialog

    public SpringLayoutModAction.ModifyDialog(Shell parentShell)

  Instantiates a new modify dialog.

  Parameters:
    `parentShell` - the parent shell

Method Detail

### createDialogArea

    protected Control createDialogArea(Composite parent)

  Parameters:
    `parent` -
  Returns:
  See Also:
    `org.eclipse.jface.dialogs.TitleAreaDialog#createDialogArea(org.eclipse.swt.widgets.Composite)`

### modifyLayout

    private void modifyLayout()

### springMove

    private void springMove(Composite parent)

### lengthAdjustment

    private void lengthAdjustment(Composite parent)

### strainAdjustment

    private void strainAdjustment(Composite parent)

### gravitationAdjustment

    private void gravitationAdjustment(Composite parent)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 2007-2009 Metascape, LLC, 2009 Miles Parker, 2006-2007 Argonne National Labs, and Contributors